package com.lb.ziptest

import android.os.Bundle
import android.util.Log
import androidx.appcompat.app.AppCompatActivity
import org.apache.commons.compress.archivers.zip.ZipArchiveInputStream
import java.io.File
import java.io.FileInputStream
import kotlin.concurrent.thread

class MainActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        //Assumptions:
        // granted permissions (use "-g" if you wish).
        // Zip file is on the path that I've provided
        thread {
            try {
                val file = File("/storage/emulated/0/test.zip")
                ZipArchiveInputStream(FileInputStream(file)).use {
                    while (true) {
                        val entry = it.nextEntry ?: break
                        Log.d("AppLog", "entry:${entry.name} ${entry.size} ")
                    }
                }
                Log.d("AppLog", "got archive ")
            } catch (e: Exception) {
                Log.d("AppLog", "Error:$e")
                e.printStackTrace()
            }
        }
    }
}
